/* Replay styles 20/04/2023 Daniel fix*/
/* 21/11/2024 replayBody height 100% fix */

#showplayidLink {
    display: block;
    float: right;
    margin-right: 5px;
    margin-top: 5px;
}

#showplayidLink a {
    color: #ffffff;
    text-decoration: none;
}

#showplayidLink a:hover, #showplayidLink a:visited:hover {
    color: #90ff6e;
}

#replay {
    display: none;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgb(0 0 0 / 70%);
    padding: 30px;
}

body.replay {
    overflow: hidden;
}

body.replay #replay {
    display: block;
}

#replay header {
    display: flex;
    justify-content: flex-end;
}

#replay header img {
    cursor: pointer;
    padding: 15px;
    margin-right: -15px;
}

#replay .wrapper {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    flex-direction: column;
}

.replayBody {
    aspect-ratio: 9/5.68;
    box-shadow: 0 0 120px -5px #000000;
    height: 100%;
}

.replayBody.slot {
    aspect-ratio: 9/5;
}

iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

@media (orientation: portrait) {
    .replayBody {
        aspect-ratio: 5.68/9;
    }
    
    .replayBody.slot {
        aspect-ratio: 5/9;
    }
}

@media (orientation: landscape) {
    .replayBody {
        height: 100%;
    }
}
